Subject: Re: [bug#75101] [PATCH 0/2] Fix broken Retroarch while respecting FSDG

From: 宋文武 <[email-masked]>
Date: Tue, 31 Dec 2024 15:57:20 +0800

Andrew Wong <[email-masked]> writes:

> Retroarch's ability to download "cores" (libraries) to userspace was removed
> recently because of non-free cores being available. However, I have found a
> more sensible solution which enables the free-licensed cores (which make up
> the majority of the list) to still be downloaded. All that is needed is for
> the entries for nonfree cores in the retroarch-core-info package to be
> removed; without these entries, Retroarch cannot download or update the
> nonfree cores, and the FSDG are respected while keeping the software usable.

Hello, thanks for the contributions.
>
> Andrew Wong (2):
>   gnu: retroarch-core-info: Remove non-free core listings.
LGTM!

>   gnu: retroarch-minimal: Enable core downloading with limited core info.
Despite FSDG requirements, I think downloading those cores / shared
libraries from internet is not a good idea, as there maybe compability
issues between their build environment and Guix:

- if they build cores against glibc newer than our retroarch.
- if the cores shared linked to other libraries than our retroarch.

And we have more trust and transparent with our packaged cores,
so I think we should keep cores downloading disable, also once we
package them there is no need to download.